| Agda-2.2.6: A dependently typed functional programming language and proof assistant | Source code | Contents | Index

Agda.TypeChecking.Rules.LHS.Instantiate

Synopsis

instantiateTel :: MonadTCM tcm => Substitution -> Telescope -> tcm (Telescope, Permutation, [Term], [Type])
nothingToSplitError :: Problem -> TCM a

Documentation

instantiateTel :: MonadTCM tcm => Substitution -> Telescope -> tcm (Telescope, Permutation, [Term], [Type]) | Source

Instantiate a telescope with a substitution. Might reorder the telescope. `instantiateTel ( : Tel)( : --> ) = ~` Monadic only for debugging purposes.

nothingToSplitError :: Problem -> TCM a | Source

Produce a nice error message when splitting failed
Produced by Haddock version 2.4.2